[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.InvalidateCell

Renders a cell invalid, and redraws the cell if required.

## Declaration

Source position: grids.pas line 1132

`protected procedure TCustomGrid.InvalidateCell(`
`aCol: Integer;`
`aRow: Integer;`
`Redraw: Boolean`
`); overload; procedure TCustomGrid.InvalidateCell(`
`aCol: Integer;`
`aRow: Integer`
`); overload;`

## Arguments

`aCol` |  | Column number for the cell.
`aRow` |  | Row number for the cell.
`Redraw` |  | True to redraw the cell immediately, False to defer until the next update for the control.

## Arguments

`aCol` |  | Column number for the cell.
`aRow` |  | Row number for the cell.

## Description

InvalidateCell is an overloaded method in TCustomGrid used to invalidate the cell at the column and row numbers in ACol and ARow. The Redraw argument is optional, and forces the cell to be re-drawn as soon as it is invalidated. The default value for Redraw is False, and defers the draw operation until the next time the control is updated.